Inhalte

# Anweisung Option VBASupport

Legt fest, dass LibreOffice Basic einige VBA Anweisungen, Funktionen und Objekte unterstützt.

Diese Anweisung muss in einem Modul vor dem ausführbaren Programmcode eingefügt werden.

Die Unterstützung für VBA ist nicht komplett, aber umfasst einen großen Teil der allgemein gebräuchlichen Muster.

Wenn die VBA-Unterstützung aktiviert ist, stimmen die Argumente und Rückgabewerte der Funktionen von LibreOffice Basic mit denen der VBA-Funktionen überein. Wenn die Unterstützung deaktiviert ist, akzeptieren die Funktionen von LibreOffice Basic möglicherweise Argumente und geben Werte zurück, die sich von ihren VBA-Gegenstücken unterscheiden.

### Syntax:

Option VBASupport {1|0}

### Parameter:

1: VBA-Unterstützung in LibreOffice aktivieren

0: VBA-Unterstützung deaktivieren

### Beispiel:

    Option VBASupport 1
    Sub ExampleVBA
        Dim sVar As Single
        sVar = Worksheets("Sheet1").Range("A1")
        Print sVar
    End Sub

Verwandte Themen

VBA-Eigenschaften

VBA-Unterstützung in LibreOffice

Funktion CompatibilityMode()

Anweisung Option ClassModule